Subject: Re: Ping Re: [PATCH 0/8] math-emu: Update kernel math-emu code from current glibc soft-fp

From: Martin Schwidefsky <[email-masked]>
Date: Thu, 27 Aug 2015 13:31:02 +0200

On Thu, 27 Aug 2015 13:12:05 +1000
Michael Ellerman <[email-masked]> wrote:

> On Wed, 2015-08-26 at 14:44 +0000, Joseph Myers wrote:
> > On Thu, 20 Aug 2015, Michael Ellerman wrote:
> > 
> > > On Wed, 2015-08-19 at 14:39 +0000, Joseph Myers wrote:
> > > > I'd like to ping this patch series, not having seen any comments on it.
> > > > 
> > > > [PATCH 0/8] math-emu: Update kernel math-emu code from current glibc soft-fp
> > > > https://lkml.org/lkml/2015/7/2/394
> > > > 
> > > > [PATCH 1/8] math-emu: Move math-emu to math-emu-old
> > > > https://lkml.org/lkml/2015/7/2/395
> > > > 
> > > > [PATCH 2/8] math-emu: Import current glibc soft-fp as include/math-emu
> > > > https://lkml.org/lkml/2015/7/2/398
> > > > 
> > > > [PATCH 3/8] alpha/math-emu: Move alpha from math-emu-old to math-emu
> > > > https://lkml.org/lkml/2015/7/2/399
> > > > 
> > > > [PATCH 4/8] powerpc/math-emu: Move powerpc from math-emu-old to math-emu
> > > > https://lkml.org/lkml/2015/7/2/400
> > > > 
> > > > [PATCH 5/8] s390/math-emu: Move s390 from math-emu-old to math-emu
> > > > https://lkml.org/lkml/2015/7/2/401
> > > > 
> > > > [PATCH 6/8] sh/math-emu: Move sh from math-emu-old to math-emu
> > > > https://lkml.org/lkml/2015/7/2/402
> > > > 
> > > > [PATCH 7/8] sparc/math-emu: Move sparc from math-emu-old to math-emu
> > > > https://lkml.org/lkml/2015/7/2/404
> > > > 
> > > > [PATCH 8/8] math-emu: Remove math-emu-old
> > > > https://lkml.org/lkml/2015/7/2/405
> > > > 
> > > > As noted in patch 0, the dependencies are as follows: patch 2 depends on 
> > > > patch 1, patches 3-7 depend on patches 1 and 2 but are independent of each 
> > > > other, patch 8 depends on all the other patches.
> > > 
> > > Hi Joseph,
> > > 
> > > I have done some testing on powerpc, and it seems good.
> > > 
> > > I'm reluctant to proceed with merging them though until we've heard at least
> > > *something* from the other maintainers.
> > 
> > Ping again for the other-architecture maintainers (alpha, s390, sh, 
> > sparc)....
> 
> 
> OK I've put this whole series in a branch with the acks we have so far.
> 
> I'll ask Stephen to put it in linux-next once 4.3-rc1 is out, and I'll ask
> Linus to pull it for 4.4
> 
> I haven't published the branch yet, so if the s390 and sparc maintainers want
> to send me acks I'll rebase and add them.
> 

For the s390 parts:
Acked-by: Martin Schwidefsky <[email-masked]> 

-- 
blue skies,
   Martin.

"Reality continues to ruin my life." - Calvin.